import sys

files = [open(n) for n in sys.argv[1:]]

while True:
    try:
        lines = [f.next().rstrip('\n') for f in files]
        for line in lines:
            if line != 'msgstr ""':
                print line
                break
        else:
            print 'msgstr ""'
    except StopIteration:
        break

for f in files:
    f.close()
